> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get open banking account

> Get open banking account details.

<sup>Required permissions: `open-banking-account:read`</sup>



## OpenAPI

````yaml get /open-banking-accounts/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /open-banking-accounts/{id}:
    parameters: []
    get:
      tags:
        - Open Banking
      summary: Get open banking account
      description: |-
        Get open banking account details.

        <sup>Required permissions: `open-banking-account:read`</sup>
      operationId: getOpenBankingAccount
      parameters:
        - name: id
          in: path
          description: OpenBankingAccount identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: OpenBankingAccount resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenBankingAccount-OpenBankingAccountRead'
            text/html:
              schema:
                $ref: '#/components/schemas/OpenBankingAccount-OpenBankingAccountRead'
        '404':
          description: Resource not found
      deprecated: false
      security:
        - JWT:
            - open-banking-account:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /open-banking-accounts/{id} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    OpenBankingAccount-OpenBankingAccountRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: ad8f1b9e-0b1e-4e1a-8e0a-0b0b0b0b0b0b
          type: string
        alias:
          example: My Bank Account
          type:
            - string
            - 'null'
        bankName:
          example: My Bank
          type: string
        iban:
          example: DE1234567*********5678
          type: string
        status:
          example: linked
          enum:
            - linked
            - disabled
            - expired
            - failed
          description: |-


            Possible values:
             * `linked`: The account is linked and can be used for fetching transactions
             * `disabled`: The account is disabled and cannot be used for fetching transactions
             * `expired`: The account access is expired (usally after 90 days) and cannot be used for fetching transactions
             * `failed`: The account linking is failed. Try to link the account again
        provider:
          example: klarna
          enum:
            - klarna
          description: |-


            Possible values:
             * `klarna`: The account is linked with Klarna
        createdAt:
          readOnly: true
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        validUntil:
          description: >-
            The date when the account access expires and a new consent is
            required
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        lastAccessedAt:
          readOnly: true
          description: The last time the system accessed the account to obtain data
          example: '2021-01-01T00:00:00+00:00'
          type:
            - string
            - 'null'
          format: date-time
        lastInformedAt:
          readOnly: true
          description: The last time the user was informed about the account expiration
          example: '2021-01-01T00:00:00+00:00'
          type:
            - string
            - 'null'
          format: date-time
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````